<?php

namespace YottaPayIntegration\Payments\Api\Payment\Old;

/**
 * interface for process payment result from Yotta Pay API
 */
interface ResultInterface
{
    /**
     * Process payment result
     *
     * @api
     * @param string $type
     * @param string $response_code
     * @param string $yottapay_transaction_identifier
     * @param string $shop_transaction_identifier
     * @param string $merchant_identifier
     * @param string $customer_identifier
     * @param string $amount
     * @param string $currency
     * @param string $signature
     *
     * @return string
     */
    public function processPaymentResult(
        $type,
        $response_code,
        $yottapay_transaction_identifier,
        $shop_transaction_identifier,
        $merchant_identifier,
        $customer_identifier,
        $amount,
        $currency,
        $signature
    );
}
