<?php

namespace YottaPayIntegration\Payments\Api\Refund\Old;

/**
 * interface for process refund result from Yotta Pay API
 */
interface ResultInterface
{
    /**
     * Process refund result
     *
     * @api
     * @param string $type
     * @param string $customer_identifier
     * @param string $merchant_identifier
     * @param string $shop_transaction_identifier
     * @param string $yottapay_transaction_identifier
     * @param string $signature
     *
     * @return string
     */
    public function processRefundResult(
        $type,
        $customer_identifier,
        $merchant_identifier,
        $shop_transaction_identifier,
        $yottapay_transaction_identifier,
        $signature
    );
}
