<?php

namespace YottaPayIntegration\Payments\Api\Authorize;

/**
 * Interface for process authorize result from Yotta Pay API
 */
interface ResultInterface
{
    /**
     * Process authorize result
     *
     * @api
     * @param string $userToken
     * @param string $userId
     *
     * @return string
     */
    public function processAuthorizeResult($userToken, $userId);
}
