<?php

namespace YottaPayIntegration\Payments\Api\Cancellation\Data;

/**
 * Process payment cancellation result
 *
 * @api
 */
interface VerificationResultInterface
{
    /**
     * Get result
     *
     * @return bool
     */
    public function getResult();

    /**
     * Set result
     *
     * @param bool $result
     * @return $this
     */
    public function setResult($result);
}
