<?php

namespace YottaPayIntegration\Payments\Api\Cancellation;

/**
 * interface for process payment cancellation from Yotta Pay API
 */
interface VerificationInterface
{
    /**
     * Process payment cancellation verification
     *
     * @api
     * @return \YottaPayIntegration\Payments\Api\Cancellation\Data\VerificationResultInterface
     */
    public function processCancellationVerification();
}
