<?php

namespace YottaPayIntegration\Payments\Api\Payment;

/**
 * interface for process payment result from Yotta Pay API
 */
interface ResultInterface
{
    /**
     * Process payment result
     *
     * @api
     * @param string $orderId
     * @param string $userId
     * @param string $yottaTransactionId
     * @param bool $success
     *
     * @return string
     */
    public function processPaymentResult($orderId, $userId, $yottaTransactionId, $success);
}
