<?php

namespace YottaPayIntegration\Payments\Api\Refund;

/**
 * interface for process refund result from Yotta Pay API
 */
interface ResultInterface
{
    /**
     * Process refund result
     *
     * @api
     * @param string $orderId
     * @param string $userId
     *
     * @return string
     */
    public function processRefundResult($orderId, $userId);
}
