<?php

namespace YottaPayIntegration\Payments\Block\Adminhtml\Config;

/**
 * Renderer hidden option field for Yotta Pay config
 */
class HiddenField extends \Magento\Config\Block\System\Config\Form\Field
{
    /**
     * @param \Magento\Backend\Block\Template\Context $context
     * @param array $data
     */
    public function __construct(
        \Magento\Backend\Block\Template\Context $context,
        array $data = []
    ) {
        $this->storeManager = $context->getStoreManager();

        parent::__construct($context, $data);
    }

    /**
     * Render element
     *
     * @param \Magento\Framework\Data\Form\Element\AbstractElement $element
     * @return string
     */
    public function render(\Magento\Framework\Data\Form\Element\AbstractElement $element)
    {
        return '<tr style="display: none;" id="row_' . $element->getHtmlId() . '"></tr>';
    }
}
